import { TransactionResult } from '../../utils/transactions';
import TransactionManager, { ExecTransactionProps, TransactionManagerConfig } from '../TransactionManager';
declare class CpkTransactionManager implements TransactionManager {
    /**
     * Returns the configuration of the CpkTransactionManager.
     *
     * @returns The name of the TransactionManager in use and the URL of the service
     */
    get config(): TransactionManagerConfig;
    /**
     * Executes a list of transactions.
     *
     * @param options
     * @returns The transaction response
     */
    execTransactions({ ownerAccount, safeExecTxParams, transactions, ethLibAdapter, contractManager, saltNonce, isDeployed, isConnectedToSafe, sendOptions }: ExecTransactionProps): Promise<TransactionResult>;
    private execTxsWhileConnectedToSafe;
    private getSafeProxyTxObj;
    private getCPKFactoryTxObj;
    private findGasLimit;
    private makeTransactionError;
}
export default CpkTransactionManager;
