"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkConnectedToSafe = void 0;
function checkConnectedToSafe(provider) {
    var _a, _b, _c, _d, _e, _f;
    return __awaiter(this, void 0, void 0, function* () {
        if (provider == null)
            return false;
        const wc = (yield ((_a = provider.getWalletConnector) === null || _a === void 0 ? void 0 : _a.call(provider))) ||
            (yield ((_c = (_b = provider.connection) === null || _b === void 0 ? void 0 : _b.getWalletConnector) === null || _c === void 0 ? void 0 : _c.call(_b))) ||
            provider.wc || ((_d = provider.connection) === null || _d === void 0 ? void 0 : _d.wc);
        const peerName = (_e = wc === null || wc === void 0 ? void 0 : wc.peerMeta) === null || _e === void 0 ? void 0 : _e.name;
        if (peerName === 'Safe Multisig WalletConnect' || ((_f = peerName === null || peerName === void 0 ? void 0 : peerName.startsWith) === null || _f === void 0 ? void 0 : _f.call(peerName, 'Gnosis Safe'))) {
            return true;
        }
        if (provider._providers) {
            return (yield Promise.all(provider._providers.map(checkConnectedToSafe))).includes(true);
        }
        return false;
    });
}
exports.checkConnectedToSafe = checkConnectedToSafe;
//# sourceMappingURL=checkConnectedToSafe.js.map