"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendRequest = exports.HttpMethod = void 0;
const node_fetch_1 = __importDefault(require("node-fetch"));
var HttpMethod;
(function (HttpMethod) {
    HttpMethod["GET"] = "GET";
    HttpMethod["POST"] = "POST";
})(HttpMethod = exports.HttpMethod || (exports.HttpMethod = {}));
const sendRequest = ({ url, method, body, expectedHttpCodeResponse }) => __awaiter(void 0, void 0, void 0, function* () {
    const headers = {
        Accept: 'application/json',
        'Content-Type': 'application/json'
    };
    const response = yield node_fetch_1.default(url, { method, headers, body });
    const jsonResponse = yield response.json();
    if (response.status !== expectedHttpCodeResponse) {
        throw new Error(jsonResponse.exception);
    }
    return jsonResponse;
});
exports.sendRequest = sendRequest;
//# sourceMappingURL=httpRequests.js.map