import { Address } from '../utils/basicTypes';
interface MasterCopyAddressVersion {
    version: string;
    address: Address;
}
export interface NetworkConfigEntry {
    masterCopyAddress?: Address;
    masterCopyAddressVersions?: Array<MasterCopyAddressVersion>;
    proxyFactoryAddress: Address;
    multiSendAddress: Address;
    fallbackHandlerAddress: Address;
}
export interface NetworksConfig {
    [id: string]: NetworkConfigEntry;
}
export interface NormalizedNetworkConfigEntry {
    masterCopyAddressVersions: MasterCopyAddressVersion[];
    proxyFactoryAddress: Address;
    multiSendAddress: Address;
    fallbackHandlerAddress: Address;
}
export interface NormalizedNetworksConfig {
    [id: string]: NormalizedNetworkConfigEntry;
}
export declare const defaultNetworks: NormalizedNetworksConfig;
export declare function normalizeNetworksConfig(defaultNetworks: NormalizedNetworksConfig, networks?: NetworksConfig): NormalizedNetworksConfig;
export {};
