import { TransactionResult } from '../../utils/transactions';
import TransactionManager, { ExecTransactionProps, TransactionManagerConfig } from '../TransactionManager';
export declare enum RocksideSpeed {
    Fast = "fast",
    Fastest = "fastest",
    Safelow = "safelow",
    Standard = "standard"
}
interface RocksideRelayTxManagerConfig {
    speed: RocksideSpeed;
}
declare class RocksideRelayTransactionManager implements TransactionManager {
    #private;
    constructor({ speed }: RocksideRelayTxManagerConfig);
    get config(): TransactionManagerConfig;
    execTransactions({ ownerAccount, safeExecTxParams, contractManager, ethLibAdapter }: ExecTransactionProps): Promise<TransactionResult>;
    private getTxRelayParams;
    private sendTxToRelay;
    private followTransaction;
}
export default RocksideRelayTransactionManager;
