import EthLibAdapter from '../ethLibAdapters/EthLibAdapter';
import { Address } from '../utils/basicTypes';
import { OperationType } from '../utils/transactions';
export interface SafeTransaction {
    to: Address;
    value: number;
    data: string;
    operation: OperationType;
    safeTxGas: number;
    dataGas: number;
    gasPrice: number;
    gasToken: Address;
    refundReceiver: Address;
    nonce: number;
}
export declare const getTransactionHashSignature: (ethLibAdapter: EthLibAdapter, ownerAccount: Address, txHash: string) => Promise<string>;
export declare const getTransactionHashSignatureRSV: (ethLibAdapter: EthLibAdapter, ownerAccount: Address, txHash: string) => Promise<{
    r: string;
    s: string;
    v: string;
}>;
